BSCAN(8)

NAME
 bscan - Bareos's 'Scan volumes'

SYNOPSIS
bscan [options] bareos-archive

DESCRIPTION

The purpose of bscan is to read (scan) a Bareos Volume and to recreate or update the database contents with the information found on the Volume. This is done in a non-destructive way. This permits restoring database entries that have been lost by pruning, purging, deleting, or a database corruption problem.

Normally, it should not be necessary to run the bscan command because the database is self maintaining. Logical inconsistencies in the Bareos database can be found by bareos-dbcheck. In addition, if you have maintained bootstrap files during backups, you should be able to recover all your data from the bootstrap file without needed an up to date catalog.

OPTIONS
A summary of options is included below.

-?  Show version and usage of program.

-B drivername
    Specify the database driver name (default NULL) <postgresql|mysql|sqlite3>.

-b bootstrap
    Specify a bootstrap file.

-c path
    Specify the Storage configuration file or directory to use.

-d nn
    Set debug level to nn.

-dt Print timestamp in debug output.

-D director
    Specify a director name specified in the storage daemon configuration file for the Key Encryption Key selection.

-a directory
    Specify the database backend directory

-m  Update media info in database.

-n name
    Specify the database name (default: bareos)

-u username
    Specify database username (default: bareos)

-P password
    Specify database password (default: none)

-h host
    Specify database host (default: NULL)

-t port
    Specify database port (default: 0)

-p  Proceed in spite of I/O errors.

-r  List records.

-s  Synchronize or store in database.

-S  Show scan progress periodically.

-v  Verbose output mode.

-V volume
    Specify volume names (separated by '|')

-w directory
    Specify working directory (default from configuration file)

SEE ALSO
bls(8), bextract(8), bareos-dbcheck(8).

AUTHOR
This manual page was written by Jose Luis Tallon <jltallon@adv-solutions.net>, for the Debian GNU/Linux system (but may be used by others).